Package org.drinkless.tdlib

# Class TdApi.ChatFolderInviteLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatFolderInviteLink

Enclosing class:
  `TdApi`

public static class TdApi.ChatFolderInviteLink extends TdApi.Object
Contains a chat folder invite link.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long[]`
  `chatIds`
  Identifiers of chats, included in the link.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inviteLink`
  The chat folder invite link.
  `String`
  `name`
  Name of the link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatFolderInviteLink()`
  Contains a chat folder invite link.
  `ChatFolderInviteLink(String inviteLink, String name, long[] chatIds)`
  Contains a chat folder invite link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inviteLink

    public String inviteLink
    The chat folder invite link.

  - ### name

    public String name
    Name of the link.

  - ### chatIds

    public long[] chatIds
    Identifiers of chats, included in the link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatFolderInviteLink

    public ChatFolderInviteLink()
    Contains a chat folder invite link.

  - ### ChatFolderInviteLink

    public ChatFolderInviteLink(String inviteLink, String name, long[] chatIds)
    Contains a chat folder invite link.
    Parameters:
      `inviteLink` - The chat folder invite link.
      `name` - Name of the link.
      `chatIds` - Identifiers of chats, included in the link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR